Get Credential
GET/accounts/{account_id}/vuln_scanner/credential_sets/{credential_set_id}/credentials/{credential_id}
Returns a single credential by ID.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Path Parameters
Get Credential
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/vuln_scanner/credential_sets/$CREDENTIAL_SET_ID/credentials/$CREDENTIAL_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"location": "header",
"location_name": "Authorization",
"name": "Admin API key"
},
"result_info": {}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"location": "header",
"location_name": "Authorization",
"name": "Admin API key"
},
"result_info": {}
}